import os
import sys
forge = sys.modules["forge"]

def setup(module):
	# the library
	srclist = [	"signal.pmh",
				"ChainSignaler",
				"PushSequencer",
				"Signature",
				"Dispatch",
				"LogHandler",
				"Reactor"]

	lib = module.Lib("feSignal",srclist)

	liblist = forge.corelibs + [
				"feSignalLib"
				]

	# the plugin
	dll = module.DLL( "feSignalDL", ["signalDL"] )
	forge.deps( ["feSignalDLLib"], liblist )
	dll.AddDep(lib)

	forge.tests += [
		("inspect.exe",		"feSignalDL",					None,		None) ]

	module.Module('test')
